DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_07_05-EventDetails';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15171) THEN
			RETURN;
		END IF;

		BEGIN

			ALTER TABLE public."EventDetails" ADD "CreatorId" bigint NULL;

 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
		END;
	END;
$$
